| API Docs for SAX and DOM |
| Main Page Classes Files Related Pages Alphabetical List Class List Class Hierarchy Class Members # QName Class Reference Inheritance diagram for QName: [legend] List of all members.
## Public Member Functions
| QName (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Default constructor.
| QName (const XMLCh *const prefix, const XMLCh *const localPart, const unsigned int uriId, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Constructs a specified qname using prefix, and localpart.
| QName (const XMLCh *const rawName, const unsigned int uriId, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Constructs a specified qname using rawName.
| QName (const QName &qname)
| Copy constructor.
| ~QName ()
const XMLCh * | getPrefix () const
XMLCh * | getPrefix ()
const XMLCh * | getLocalPart () const
XMLCh * | getLocalPart ()
unsigned int | getURI () const
const XMLCh * | getRawName () const
XMLCh * | getRawName ()
MemoryManager * | getMemoryManager () const
void | setName (const XMLCh *const prefix, const XMLCh *const localPart, const unsigned int uriId)
void | setName (const XMLCh *const rawName, const unsigned int uriId)
void | setPrefix (const XMLCh *)
void | setLocalPart (const XMLCh *)
void | setNPrefix (const XMLCh *, const unsigned int)
void | setNLocalPart (const XMLCh *, const unsigned int)
void | setURI (const unsigned int)
void | setValues (const QName &qname)
bool | operator== (const QName &) const
void | cleanUp ()
## Constructor & Destructor Documentation
QName::QName | ( | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` | ) |
Default constructor.
QName::QName | ( | const XMLCh *const | prefix,
|  | const XMLCh *const | localPart,
|  | const unsigned int | uriId,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |
Constructs a specified qname using prefix, and localpart.
QName::QName | ( | const XMLCh *const | rawName,
|  | const unsigned int | uriId,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |
Constructs a specified qname using rawName.
QName::QName | ( | const QName & | qname | ) |
Copy constructor.
QName::~QName | ( |  | ) |
## Member Function Documentation
const XMLCh * QName::getPrefix | ( |  | ) | const
XMLCh * QName::getPrefix | ( |  | ) |
const XMLCh * QName::getLocalPart | ( |  | ) | const
XMLCh * QName::getLocalPart | ( |  | ) |
unsigned int QName::getURI | ( |  | ) | const
const XMLCh* QName::getRawName | ( |  | ) | const
XMLCh* QName::getRawName | ( |  | ) |
MemoryManager * QName::getMemoryManager | ( |  | ) | const
void QName::setName | ( | const XMLCh *const | prefix,
|  | const XMLCh *const | localPart,
|  | const unsigned int | uriId |
| ) |  |  |
void QName::setName | ( | const XMLCh *const | rawName,
|  | const unsigned int | uriId |
| ) |  |  |
void QName::setPrefix | ( | const XMLCh * |  | ) |
void QName::setLocalPart | ( | const XMLCh * |  | ) |
void QName::setNPrefix | ( | const XMLCh * | ,
|  | const unsigned | int |
| ) |  |  |
void QName::setNLocalPart | ( | const XMLCh * | ,
|  | const unsigned | int |
| ) |  |  |
void QName::setURI | ( | const unsigned int | uriId | ) |
void QName::setValues | ( | const QName & | qname | ) |
bool QName::operator== | ( | const QName & |  | ) | const
void QName::cleanUp | ( |  | ) |
The documentation for this class was generated from the following file: QName.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.